Package org.kapott.hbci.GV_Result

## Class GVRWPDepotList.Entry.Gattung.SubSaldo

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRWPDepotList.Entry.Gattung.SubSaldo

Enclosing class:
  GVRWPDepotList.Entry.Gattung

    public static final class GVRWPDepotList.Entry.Gattung.SubSaldo
    extends java.lang.Object

Untersaldoinformationen, das heißt Informationen über die Zusammensetzung des Saldos einer Wertpapiergattung.

### Field Summary

Fields
`java.lang.String` `comment` Sperr- oder Zusatzvermerke der Bank (optional)
`java.lang.String` `country` Lagerland der Depotstelle (optional).
`java.lang.String` `lager` Beschreibung der Lagerstelle (optional)
`boolean` `locked` Gibt an, ob das Papier für einen Verkauf zur Verfügung steht.
`java.util.Date` `lockeduntil` Sperre bis zu diesem Datum (optional)
`java.lang.String` `qualifier` Beschreibung des Saldowertes
`BigDecimalValue` `saldo` Saldobetrag.
`int` `saldo_type` Gibt den Typ des Saldos `saldo` an (optional).
`int` `verwahrung` Art der Verwahrung (optional).

### Constructor Summary

Constructors
`SubSaldo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### qualifier

    public java.lang.String qualifier

Beschreibung des Saldowertes

#### saldo_type

    public int saldo_type

Gibt den Typ des Saldos `saldo` an (optional).

- `GVRWPDepotList.Entry.Gattung.PRICE_TYPE_PRCT` - Saldo ist ein Prozentsatz
- `GVRWPDepotList.Entry.Gattung.PRICE_TYPE_VALUE` - Saldo ist ein Geldbetrag

#### locked

    public boolean locked

Gibt an, ob das Papier für einen Verkauf zur Verfügung steht. `true` gibt an, dass das Papier gesperrt ist und somit nicht zur Verfügung steht, bei `false` kann es verkauft werden

#### saldo

    public BigDecimalValue saldo

Saldobetrag. Das Währungsfeld `curr` ist hier zur Zeit immer der leere String.

#### country

    public java.lang.String country

Lagerland der Depotstelle (optional). Der Ländercode ist der ISO-3166-Ländercode (z.B. DE für Deutschland)

#### verwahrung

    public int verwahrung

Art der Verwahrung (optional).

- 0 - nicht gesetzt
- 1 - Girosammelverwahrung
- 2 - Streifbandverwahrung
- 3 - Haussammelverwahrung
- 4 - Wertpapierrechnung
- 9 - Sonstige

#### lager

    public java.lang.String lager

Beschreibung der Lagerstelle (optional)

#### lockeduntil

    public java.util.Date lockeduntil

Sperre bis zu diesem Datum (optional)

#### comment

    public java.lang.String comment

Sperr- oder Zusatzvermerke der Bank (optional)

### Constructor Detail

#### SubSaldo

    public SubSaldo()

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`